Class | TclTkObject
In: | tcltklib/lib/tcltk.rb
Parent: | Object

class TclTkObject: base class of the tcl/tk objects

### Methods

new to_s

### Public Class methods

new(ip, exp)

initialize(ip, exp):

      ip: interpreter(TclTkIp)
      exp: tcl/tk representation

[Source]

    # File tcltklib/lib/tcltk.rb, line 187
      def initialize(ip, exp)
        fail("type is not TclTkIp") if !ip.kind_of?(TclTkIp)
        @ip = ip
        @exp = exp
      end

### Public Instance methods

to_s()

to_s(): returns tcl/tk representation

[Source]

    # File tcltklib/lib/tcltk.rb, line 194
      def to_s()
        return @exp
      end

[Validate]